Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.upgrade.common
Class UpgradeMsg

    java.lang.Object
      oracle.ifs.admin.upgrade.common.UpgradeMsg

    public class UpgradeMsg

extends java.lang.Object

A mechanism for retrieving localized messages for upgrade scripts.

Modified:
  lsaenz 08/02/2000 Created.

Field Summary
`static java.lang.String` | `BUNDLE_CLASS_NAME` The name of the ResourceBundle class for upgrade messages.

Constructor Summary
`UpgradeMsg()`

Method Summary
`static java.lang.String` | `getString(java.lang.String name)` Returns the message that maps to the given name.
`static java.lang.String` | `getString(java.lang.String name, java.lang.Object[] parameters)` Returns the String that maps to the given name, formatted with the given `parameters`.
`static void` | `setLocale(java.util.Locale locale)` Sets the Locale that should be used for messages and formatting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUNDLE_CLASS_NAME

    public static final java.lang.String BUNDLE_CLASS_NAME

  Description copied from class: `UpgradeMsg`
  The name of the ResourceBundle class for upgrade messages.

  See Also:
    Constant Field Values

Constructor Detail

### UpgradeMsg

    public UpgradeMsg()

Method Detail

### getString

    public static java.lang.String getString(java.lang.String name)

  Description copied from class: `UpgradeMsg`
  Returns the message that maps to the given name.

  Parameters:
    `name` - the name of the message.

### getString

    public static java.lang.String getString(java.lang.String name,
                                             java.lang.Object[] parameters)

  Description copied from class: `UpgradeMsg`
  Returns the String that maps to the given name, formatted with the given `parameters`.

  Parameters:
    `name` - the name of the message.
    `parameters` - the list of paramters to use in the message.

### setLocale

    public static void setLocale(java.util.Locale locale)

  Description copied from class: `UpgradeMsg`
  Sets the Locale that should be used for messages and formatting.

  Parameters:
    `locale` - the Locale to use.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD